package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

public class DicOrderTypeState {

    public static final String ONLINE = "开放平台";
    public static final String OFFLINE = "共享平台";

    private static DicOrderTypeState instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicOrderTypeState(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(ONLINE, ONLINE);
        dicMap.put(OFFLINE, OFFLINE);
    }

    public static DicOrderTypeState getInstacne(){
        if (instance == null)
        {
            instance = new DicOrderTypeState();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}

